Package io.flutter.embedding.engine.loader

## Class FlutterApplicationInfo

- java.lang.Object
- - io.flutter.embedding.engine.loader.FlutterApplicationInfo

-     public final class FlutterApplicationInfo
      extends Object

  Encapsulates all the information that Flutter needs from application manifest.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `String` | `aotSharedLibraryName` |
    `String` | `domainNetworkPolicy` |
    `String` | `flutterAssetsDir` |
    `String` | `isolateSnapshotData` |
    `String` | `nativeLibraryDir` |
    `String` | `vmSnapshotData` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FlutterApplicationInfo​(String aotSharedLibraryName, String vmSnapshotData, String isolateSnapshotData, String flutterAssetsDir, String domainNetworkPolicy, String nativeLibraryDir, boolean automaticallyRegisterPlugins)` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### aotSharedLibraryName

          public final String aotSharedLibraryName

    - #### vmSnapshotData

          public final String vmSnapshotData

    - #### isolateSnapshotData

          public final String isolateSnapshotData

    - #### flutterAssetsDir

          public final String flutterAssetsDir

    - #### domainNetworkPolicy

          public final String domainNetworkPolicy

    - #### nativeLibraryDir

          public final String nativeLibraryDir

  - ### Constructor Detail

    - #### FlutterApplicationInfo

          public FlutterApplicationInfo​(String aotSharedLibraryName,
                                        String vmSnapshotData,
                                        String isolateSnapshotData,
                                        String flutterAssetsDir,
                                        String domainNetworkPolicy,
                                        String nativeLibraryDir,
                                        boolean automaticallyRegisterPlugins)